Skip to content
Fulfillment & ShippingRates

Get live shipping quotes

Requests rates from the carrier connected to the selected shipping method for the destination, products, order amount, and currency.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/shipping/rates/live-quotes" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "shippingMethodId": "7204558912004325207",    "countryIsoCode": "PE",    "destination": {      "addressLine": "Envío estándar",      "number": "Envío estándar",      "postalCode": "15074",      "department": "Lima",      "province": "Lima",      "district": "Miraflores",      "reference": "Frente al parque Kennedy.",      "latitude": 1    },    "products": [      {        "sku": "POL-001-AZ-M",        "name": "Polo de algodón",        "brand": "Andina",        "weight": 0,        "price": 0,        "quantity": 1,        "height": 0,        "width": 0      }    ],    "orderAmount": 178,    "currency": "PEN"  }'
{  "success": false,  "options": [    {      "name": "Envío estándar",      "price": 89,      "currency": "PEN",      "estimatedDays": 30,      "serviceCode": "POL-001",      "description": "Polo de algodón pima para uso diario."    }  ],  "code": "POL-001",  "message": "Entregar después de las 18:00.",  "errorCode": "originUbigeoRequired"}